Skip to main content
POST
/
marketing
/
v3
/
marketing-events
/
{objectId}
/
attendance
/
{subscriberState}
/
email-create
Record Participants by Email with Marketing Event Object Id
curl --request POST \
  --url https://api.hubapi.com/marketing/v3/marketing-events/{objectId}/attendance/{subscriberState}/email-create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "contactProperties": {},
      "email": "<string>",
      "interactionDateTime": 123,
      "properties": {}
    }
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "email": "<string>",
      "vid": 123
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "errors": [
    {
      "category": "<string>",
      "context": {},
      "errors": [
        {
          "message": "<string>",
          "code": "<string>",
          "context": "{missingScopes=[scope1, scope2]}",
          "in": "<string>",
          "subCategory": "<string>"
        }
      ],
      "links": {},
      "message": "<string>",
      "status": "<string>",
      "id": "<string>",
      "subCategory": {}
    }
  ],
  "links": {},
  "numErrors": 123,
  "requestedAt": "2023-11-07T05:31:56Z"
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

objectId
string
required

The internal id of the marketing event in HubSpot.

subscriberState
string
required

The attendance state value. It may be 'register', 'attend' or 'cancel'

Body

application/json
inputs
object[]
required

List of marketing event details to create or update

Response

successful operation

completedAt
string<date-time>
required

Timestamp that represents when the request finished processing

results
object[]
required
startedAt
string<date-time>
required

Timestamp that represents when the request started processing

status
enum<string>
required

The status of the request processing

Available options:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
errors
object[]

Result of the request

numErrors
integer<int32>

The number of errors that occurred during the processing

requestedAt
string<date-time>

Timestamp that represents when the request was made

Last modified on March 30, 2026